<?php

class Db
{
    const host = "localhost";
    const dbName = "kviz";
    const user = "root";
    const pass = "";
    
    private $dbh;
    
    function __construct() {
        try {
            
            $connStr = "mysql:host=".self::host.";dbname=".self::dbName;
            $this->dbh = new PDO($connStr, self::user, self::pass);
        } catch (Exception $ex) {
            echo "GRESKA KONEKCIJA";
        }
    }
    
    function __destruct() {
        $this->dbh = null;
    }
    
    function dajKvizove()
    {
        $sql = "select * from kvizovi";
        $upit = $this->dbh->query($sql);
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    function dajPitanja($idK)
    {
        $sql = "select * from pitanja where ID_kviza = $idK";
        $upit = $this->dbh->query($sql);
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
     function dajOdgovore($idP)
    {
        $sql = "select * from odgovori where ID_pitanja = $idP";
        $upit = $this->dbh->query($sql);
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    function unesiPitanje($kvizID, $tekstPitanja)
    {
        $sql = "insert into pitanja('ID_kviza', 'tekst') values(:kvizID, :tekstPitanja)";
        $upit = $this->dbh->exec($sql);
        $upit->bindParam(":kvizID", $kvizID);
        $upit->bindParam(":tekstPitanja", $kvizID);
        
        $sql = "select * from pitanja where ID_kviza = $kvizID and tekst = '%$tekstPitanja%'";
        $upit = $this->dbh->query($sql);
        return $upit->fetch(PDO::FETCH_ASSOC);
    }
    
    function unesiOdgovor($idPitanja, $tekstOdgovora, $tacan)
    {
        try{
        $sql = "insert into odgovori('ID_pitanja', 'tekst', 'tacan_odgovor') values(:idPitanja, :tekstOdgovora, :tacan)";
        $upit = $this->dbh->exec($sql);
        $upit->bindParam(":idPitanja", $idPitanja);
        $upit->bindParam(":tekstOdgovora", $tekstOdgovora);
        $upit->bindParam(":tacan", $tacan);
        return true;
        }
        catch (PDOException $e)
        {
           echo "Greska ".$e;
        }
    }
    
    function obrisiPitanje($idPitanja)
    {
        try{
        $this->dbh->beginTransaction();
        $sql = "delete from odgovori where ID_pitanja =  $idPitanja";
        $upit = $this->dbh->exec($sql);
        
        $sql = "delete from pitanja where ID = $idPitanja";
        $upit = $this->dbh->exec($sql);
        
        $this->dbh->commit();
        return true;
        }
        catch (PDOException $e)
        {
            $this->dbh->rollBack();
            echo "Greska " . $e;
        }
    }
    
    function dajKviz($idKviza)
    {
        $sql = "select * from kvizovi where ID = $idKviza";
        $upit = $this->dbh->query($sql);
        return $upit->fetch(PDO::FETCH_ASSOC);
    }
}

?>