<?php

    class Db {
        
        const hostname = 'localhost';
        const username = 'root';
        const password = '';
        const database = 'kviz';
        
        private $dbh;
        
        function __construct() {
            try {
                $connection_string = "mysql:host=".self::hostname.";dbname=".self::database;
                $this->dbh = new PDO($connection_string, self::username, self::password);
            } catch (PDOException $ex) {
                die($ex->getMessage());
            }
        }
        
        function __destruct() {
            $this->dbh = null;
        }
        
        function getAllQuizs() {
            try {
                $sql = "select * from kvizovi";
                $pdo_expression = $this->dbh->query($sql);
                $array = $pdo_expression->fetchAll(PDO::FETCH_ASSOC);
                return $array;
            } catch (PDOException $ex) {
                die($ex->getMessage());
            }
        }
        
        function getQuestionsForQuizID($id) {
            try {
                $sql = "select * from pitanja where ID_kviza=$id";
                $pdo_expression = $this->dbh->query($sql);
                $array = $pdo_expression->fetchAll(PDO::FETCH_ASSOC);
                return $array;
            } catch (PDOException $ex) {
                die($ex->getMessage());
            }
        }
        
        function getAnswersForQuestionID($id) {
            try {
                $sql = "select * from odgovori where ID_pitanja=$id";
                $pdo_expression = $this->dbh->query($sql);
                $array = $pdo_expression->fetchAll(PDO::FETCH_ASSOC);
                return $array;
            } catch (PDOException $ex) {
                die($ex->getMessage());
            }
        }
        
        function insertQuestionForQuizID($id, $tekst_pitanja) {
            try {
                $sql = "insert into pitanja(ID_kviza, tekst) values('$id', '$tekst_pitanja')";
                $pdo_expression = $this->dbh->exec($sql);
            } catch (PDOException $ex) {
                die($ex->getMessage());
            }
        }
        
        function getQuestionIdByText($tekst_pitanja) {
            try {
                $sql = "select * from pitanja where tekst='$tekst_pitanja'";
                $pdo_expression = $this->dbh->query($sql);
                $obj = $pdo_expression->fetch(PDO::FETCH_ASSOC);
                return $obj['ID'];
            } catch (PDOException $ex) {
                die($ex->getMessage());
            }
        }
        
        function insertAnswerForQuestionID($id, $answer, $tf) {
            try {
                $sql = "insert into odgovori(ID_pitanja, tekst, tacan_odgovor) values('$id', '$answer', '$tf')";
                $pdo_expression = $this->dbh->exec($sql);
            } catch (PDOException $ex) {
                die($ex->getMessage());
            }
        }
        
        function deleteAnswersForQuestionID($id) {
            try {
                $sql = "delete from odgovori where ID_pitanja=$id";
                $pdo_expression = $this->dbh->exec($sql);
            } catch (PDOException $ex) {
                die($ex->getMessage());
            }
        }
        
        function deleteQuestionForID($id) {
            try {
                $sql = "delete from pitanja where ID=$id";
                $pdo_expression = $this->dbh->exec($sql);
            } catch (PDOException $ex) {
                die($ex->getMessage());
            }
        }
    }

?>