<?php

class Db {

    const host = "localhost";
    const username = "root";
    const password = "";
    const dbName = "kviz";

    private $dbh;

    public function __construct() {
        try {
            $connStr = "mysql:host=" . self::host . ";dbname=" . self::dbName;
            $this->dbh = new PDO($connStr, self::username, self::password);
        } catch (Exception $ex) {
            die("Connection: " . $ex->getMessage());
        }
    }

    public function __destruct() {
        $this->dbh = NULL;
    }

    public function getAllQuizes() {
        try {
            $sql = "select * from kvizovi";
            $res = $this->dbh->query($sql);
            $result = $res->fetchAll(PDO::FETCH_ASSOC);

            return $result;
        } catch (Exception $ex) {
            die("Fetch quizes: " . $ex->getMessage());
        }
    }

    public function getAllQuestions($id) {
        try {
            $sql = "select * from pitanja where ID_kviza = $id";
            $res = $this->dbh->query($sql);
            $result = $res->fetchAll(PDO::FETCH_ASSOC);

            return $result;
        } catch (Exception $ex) {
            die("Fetch questions: " . $ex->getMessage());
        }
    }

    public function getAllAnswers($id) {
        try {
            $sql = "select * from odgovori where ID_pitanja = $id";
            $res = $this->dbh->query($sql);
            if ($res->rowCount() > 0)
                $result = $res->fetchAll(PDO::FETCH_ASSOC);
            else
                return false;
            return $result;
        } catch (Exception $ex) {
            die("Fetch answers: " . $ex->getMessage());
        }
    }

    public function deleteAnswer($id) {
        try {
            $sql = "delete from odgovori where id = $id";
            $this->dbh->exec($sql);
        } catch (Exception $ex) {
            die("Delete answer");
        }
    }

    public function deleteQuestion($id) {
        try {
            $answers = $this->getAllAnswers($id);
            if ($answers) {
                foreach ($answers as $answer) {
                    $this->deleteAnswer($answer['ID']);
                }
            }
            $sql = "delete from pitanja where id = $id";
            $this->dbh->exec($sql);
        } catch (Exception $ex) {
            die("Delete question");
        }
    }

    public function addNewQuestion($quizId, $text, $numberOfAnswers, $answers) {
        try {
            $sqlQuestion = "insert into pitanja (ID_kviza,tekst) values (:quizID, :text)";
            $PDOstatement = $this->dbh->prepare($sqlQuestion);
            $PDOstatement->bindParam(':quizID', $quizId);
            $PDOstatement->bindParam(':text', $text);
            $res = $PDOstatement->execute();
            for ($i = 0; $i < $numberOfAnswers; $i++) {
                $correct = false;
                if(isset($answers['checkbox' . $i]))
                        $correct = true;
                $this->addNewAnswer($quizId, $text, $answers['answer' . $i], $correct);
            }
            if($res)
                return true;
            return false;
        } catch (Exception $ex) {
            die('Add new quiz');
        }
    }

    public function getQuestion($quizID, $text) {
        try {
            $sql = "select * from pitanja where ID_kviza = $quizID and tekst = '$text'";
            $res = $this->dbh->query($sql);

            $result = $res->fetch(PDO::FETCH_ASSOC);

            return $result;
        } catch (Exception $ex) {
            die('Get question');
        }
    }

    public function addNewAnswer($quizId, $text, $answer, $correct) {
        try {
            $question = $this->getQuestion($quizId, $text);
            $questionId = $question['ID'];
                $sql = "insert into odgovori (ID_pitanja, tekst, tacan_odgovor) values (:questionId,:answer,:correct)";
                $PDOstatement = $this->dbh->prepare($sql);
                $PDOstatement->bindParam(':questionId', $questionId);
                $PDOstatement->bindParam(':answer', $answer);
                $PDOstatement->bindParam(':correct', $correct);
           
            $PDOstatement->execute();
        } catch (Exception $ex) {
            die('Add new question');
        }
    }

}

?>
