<?php 
require_once './Db.php';
$db = new Db();

$kvizovi = $db->getAllKvizovi();
$pitanja = null;
$odgovori = null;

if(isset($_GET['kviz'])) {
    $pitanja = $db->getPitanjaByKvizId($_GET['kviz']);
}

if(isset($_GET['pitanje'])) {
    $odgovori = $db->getOdgoviriByPitanjaId($_GET['pitanje']);
}

if(isset($_GET['brisi'])) {
    $db->deletePitanje($_GET['id']);
    header("Location: index.php?kviz=" .$_GET['kviz']);
}

?>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
        <style>
            .container {
                display: grid;
                grid-template-columns: 1fr 1fr 1fr;
                column-gap: 50px;
            }
            
            .box {
                height: 300px;
                border: 3px solid black;
            }
        </style>
    </head>
    <body>
        <div class="container">
            <div class="box">
                <h1>Kvizovi</h1>
                <hr>
                <?php 
                foreach ($kvizovi as $kviz) {
                ?>
                <a href="<?php echo 'index.php?kviz=' .$kviz['ID']; ?>"><?php echo $kviz['naziv']; ?></a>
                    <?php if(isset($_GET['kviz']) && $_GET['kviz'] ==  $kviz['ID']) echo "(Izabran)"; ?>
                <br>
                <?php } ?>
            </div>
            <div class="box">
                <h1>Pitanja</h1>
                <form method="get" action="dodaj.php">
                    <input type="hidden" name="kviz" value="<?php if(isset($_GET['kviz'])) echo $_GET['kviz']; ?>" />
                    <input type="submit" value="dodaj" />
                </form>
                <hr>
                <?php 
                if($pitanja != null) {
                    foreach ($pitanja as $pitanje) {
                ?>
                <form>
                    <input type="hidden" name="kviz" value="<?php echo $_GET['kviz']; ?>" />
                    <input type="hidden" name="id" value="<?php echo $pitanje['ID']; ?>" />
                    <input type="submit" name="brisi" value="X" />
                <a href="<?php echo 'index.php?kviz=' .$_GET['kviz'] . '&pitanje=' .$pitanje['ID']; ?>"><?php echo $pitanje['tekst']; ?></a>
                <?php if(isset($_GET['pitanje']) && $_GET['pitanje'] == $pitanje['ID']) echo "(izabrano)"; ?>
                <br>
                </form>
                <?php       
                    }
                }
                ?>
                
            </div>
            <div class="box">
                <h1>Odgovori</h1>
                <hr>
                <?php if($odgovori != null) {
                    foreach ($odgovori as $odg) {
                        echo $odg['tekst'];
                        if($odg['tacan_odgovor'] == 1) echo "(tacno)";
                        echo "<br>";
                    }
                } ?>
            </div>
        </div>
    </body>
</html>
